Bug 90288 - System panics after recovering paths from an all-paths-down scenario and restarting ext3 filesystem I/O.
System panics after recovering paths from an all-paths-down scenario and rest...
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Larry Woodman
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-06 11:10 EDT by Heather Conway
Modified: 2007-11-30 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-14 15:52:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages file from panic (297.14 KB, text/plain)
2003-05-06 11:47 EDT, Heather Conway
no flags Details

  None (edit)
Description Heather Conway 2003-05-06 11:10:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
System panics after recovering paths from an all-paths-down scenario and 
restarting ext3 filesystem I/O.
Steps to reproduce:
1.  Mount ext3 filesystem
2.  Start ext3 filesystem I/O
3.  Disconnect all paths to the LUN (I/O errors occur as expected)
4.  Reconnect failed paths
5.  Restart ext3 filesystem I/O
6.  Assertion panic in unmap_underlying_metadata() at buffer.c:1542
This occurs both with and without applying the patches listed in bug #79163 
(3004-expect-debug.patch and 3005-expect-iofail.patch)

Version-Release number of selected component (if applicable):
kernel-2.4.9-e.12

How reproducible:
Sometimes

Steps to Reproduce:
1.  Mount ext3 filesystem
2.  Start ext3 filesystem I/O
3.  Disconnect all paths to the LUN (I/O errors occur as expected)
4.  Reconnect failed paths
5.  Restart ext3 filesystem I/O
6.  Assertion panic in unmap_underlying_metadata() at buffer.c:1542  

Actual Results:  Host panics with Assertion panic in unmap_underlying_metadata
() at buffer.c:1542  

Expected Results:  Host shouldn't panic.

Additional info:
Comment 1 Heather Conway 2003-05-06 11:47:25 EDT
Created attachment 91517 [details]
/var/log/messages file from panic

Note You need to log in before you can comment on or make changes to this bug.